Bug 140607 - laptop locks up when pcmcia card accessed
laptop locks up when pcmcia card accessed
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-23 15:18 EST by Steven Usdansky
Modified: 2015-01-04 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 21:15:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Usdansky 2004-11-23 15:18:49 EST
User-Agent:       
Build Identifier: 

  PCMCIA ethernet card works fine with the 2.6.7 kernel provided by Knoppix.
With stock FC3 kernel, whenever a network access is attempted, the laptop locks up.
  Note: Knoppix 2.6.7 kernel was installed manually; the rest of the system is
standard FC3.


Reproducible: Always
Steps to Reproduce:
1.  Boot laptop, selecting stock FC3 kernel
2.  From console execute: ping 192.168.0.1 (the dsl modem; any address will do)

Alternate step 2: Ping the laptop from another machine on the network.



Actual Results:  
System locks up

Expected Results:  
should be a valid network connection

not sure which module is actually causing the crash. Output from lsmod follows:
Module                  Size  Used by
md5                     7680  1
ipv6                  241248  8
parport_pc             37568  1
lp                     13096  0
parport                36936  2 parport_pc,lp
autofs4                20228  0
i2c_dev                11648  0
i2c_core               22016  1 i2c_dev
apm                    20332  1
sunrpc                133732  1
af_packet              21000  2
ds                     17284  4
ipt_REJECT              9216  1
ipt_state               5760  3
ip_conntrack           33028  1 ipt_state
iptable_filter          6272  1
ip_tables              19712  3 ipt_REJECT,ipt_state,iptable_filter
binfmt_misc            12040  1
dm_mod                 37792  0
md                     44488  0
yenta_socket           20480  1
pcmcia_core            56772  2 ds,yenta_socket
uhci_hcd               31760  0
usbcore                95840  3 uhci_hcd
8139too                25728  0
mii                     7936  1 8139too
crc32                   8064  1 8139too
ide_cd                 40324  1
ext3                  109800  3
jbd                    69028  1 ext3
Comment 1 Dave Jones 2004-12-07 00:41:32 EST
still a problem with the latest errata kernel ?
Comment 2 Steven Usdansky 2004-12-07 11:22:30 EST
My pcmcia card still locks up with kernel-2.6.9-1.698_FC3. Adding "noapic
acpi=off" did not resolve the problem. I've posted a table at
http://soleil.nfldinet.com/~rockdoctor/lsmod.html showing the output from lsmod
for both kernels as currently configured.
Comment 3 Steven Usdansky 2004-12-09 15:37:45 EST
I thought I'd try a newer kernel. This is with kernel-2.6.9-1.1014_FC.
(no change in behavior, just proving the info)

/var/log/messages when card is inserted:
Dec  9 14:19:45 spinel kernel: PCI: Enabling device 0000:05:00.0 (0000
-> 0003)
Dec  9 14:19:45 spinel kernel: eth0: RealTek RTL8139 at 0x4800,
00:c0:26:b0:d0:28, IRQ 11
Dec  9 14:19:49 spinel kernel: eth0: link up, 100Mbps, full-duplex,
lpa 0x45E1
Dec  9 14:19:50 spinel dhclient: sit0: unknown hardware address type 776
Dec  9 14:19:53 spinel dhclient: sit0: unknown hardware address type 776
Dec  9 14:19:57 spinel dhclient: DHCPREQUEST on eth0 to
255.255.255.255 port 67
Dec  9 14:19:57 spinel dhclient: DHCPACK from 192.168.128.1
Dec  9 14:19:59 spinel NET: /sbin/dhclient-script : updated
/etc/resolv.conf
Dec  9 14:19:59 spinel dhclient: bound to 192.168.128.100 -- renewal
in 227470 seconds.
==============
no messages while locked up. When I eject the card, I get:

Dec  9 14:20:44 spinel dhclient: receive_packet failed on eth0:
Network is down
Dec  9 14:20:45 spinel net.agent[3165]: remove event not handled
Dec  9 14:20:46 spinel net.agent[3164]: remove event not handled
Comment 4 Steven Usdansky 2004-12-11 12:49:47 EST
I just compiled kernel-2.6.10-rc3 from kernel.org; with it my PCMCIA 
card works fine. 
Comment 5 Dave Jones 2005-07-15 16:40:42 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 6 Dave Jones 2005-10-02 21:15:26 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.